
Figure - Bug #117972
IOVDEV-25262【内部】【VC1】【0094】【台架】【EE环境】【副屏】中控屏多次切换完时间格式后，副屏
还在切换小时制
2023-05-16 20:07 - CDTS-TEST 周婷

Status: CLOSED Start date: 2023-05-16

Priority: Normal Due date:

Assignee: CDTS-TEST 周婷 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0094.C103

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2023-05-18

Test Type: Free Test Root cause: 时间同步设置时间后，进行了休眠后再设置的时间格式，导致延迟相应��

Description

【环境信息】EE环境

【问题出现时间】：20230427 19：25

【前提条件】：车机上电

【操作步骤】

1. 中控屏进入系统设置时间的格式，24小时制和12小时制来回多次切换，查看副屏时间显示

【实际结果】

1.中控屏切换时间格式完成后，副屏时间还多次切换时间格式显示小时制

【期望结果】

1.中控切换完时间格式后，副屏相应也切换完成时间格式

【车架号】：

【备注】：

UX：

UI：

【视频链接】：https://ofs.human-horizons.com/#/download/index/b6WAFGXmCiw%3D

【影响版本】：01.00.0094.C103

【硬件版本号】：/

【是否能恢复】：

----TC 本地可复现

History

#1 - 2023-05-18 10:32 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#2 - 2023-05-18 13:44 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

200974 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl: Fixed timezone and 12/24 sync is so slowTC-RID: 1201-0206101IssueID: TS-R-BUG-117972Change-Id:

I23454f3f1fe6da8f6d1dba794caa1f43307dab6d
https://ofs.human-horizons.com/#/download/index/b6WAFGXmCiw%3D


#3 - 2023-05-18 17:32 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CDTS-TEST 周婷

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-18

- Root cause set to 时间同步设置时间后，进行了休眠后再设置的时间格式，导致延迟相应

■ Current conclusion

bug已解决，提交已入库

■ My analysis

时间同步设置时间后，进行了休眠后再设置的时间格式，导致延迟相应

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/VehicleControl/+/200783

#4 - 2023-06-02 18:23 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

6.2

验证通过

#5 - 2023-06-02 18:23 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/VehicleControl/+/200783

